Bug 29929 - remove dead open_warning UCS 2.4 code
remove dead open_warning UCS 2.4 code
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-04 19:13 CET by Philipp Hahn
Modified: 2017-07-05 13:06 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (2.85 KB, patch)
2016-09-24 15:25 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2013-01-04 19:13:48 CET
univention-directory-manager-modules/modules/univention/admincli/admin.py:786

»···»···»···if hasattr(object,'»open_warning') and object.open_warning:
»···»···»···»···out.append('WAR»NING:%s'%object.open_warning)
                               ^
Comment 1 Florian Best univentionstaff 2016-09-24 15:25:23 CEST
Created attachment 8030 [details]
patch

The line prior is broken, too. open_warning(s) is nowhere used anymore.
>if hasattr(object,'     open_warning') and object.open_warning:
>    out.append('WAR NING:%s'%object.open_warning)
Comment 2 Johannes Keiser univentionstaff 2017-06-30 17:19:30 CEST
(In reply to Florian Best from comment #1)
> Created attachment 8030 [details]
> patch
> 
> The line prior is broken, too. open_warning(s) is nowhere used anymore.
> >if hasattr(object,'     open_warning') and object.open_warning:
> >    out.append('WAR NING:%s'%object.open_warning)

Applied patch:

r 80742
univention-directory-manager-modules (12.0.17-43) 
* Bug #29929: Applied patch from Florian Best - Remove unused code from
UCS 2.4

YAML: r 80743
Comment 3 Florian Best univentionstaff 2017-07-03 12:19:01 CEST
OK: Code-Review
OK: UDM CLI
OK: YAML
Comment 4 Janek Walkenhorst univentionstaff 2017-07-05 13:06:05 CEST
<http://errata.software-univention.de/ucs/4.2/79.html>